# PrimitiveScalarIdentifier Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveScalarIdentifier:
[legend]

List of all members.

## Public Member Functions

| setScalar ($orly=false)

## Protected Attributes

| $scalar = true
| due to historical reasons, by default we're dealing only with integer identifiers, this problem correctly fixed in master branch

## Detailed Description

Definition at line 15 of file PrimitiveScalarIdentifier.class.php.

## Member Function Documentation

PrimitiveScalarIdentifier::setScalar | ( | $ | orly = `false` | ) |

Returns:
  IdentifiablePrimitive

Reimplemented from IdentifiablePrimitive.

Definition at line 19 of file PrimitiveScalarIdentifier.class.php.

## Member Data Documentation

PrimitiveScalarIdentifier::$scalar = true`[protected]`

due to historical reasons, by default we're dealing only with integer identifiers, this problem correctly fixed in master branch

Reimplemented from IdentifiablePrimitive.

Definition at line 17 of file PrimitiveScalarIdentifier.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveScalarIdentifier.class.php